package com.yunniu.farming.webadmin.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunniu.farming.webadmin.model.OrderMain;

import java.util.List;

public interface OrderMainDao extends BaseMapper<OrderMain> {

    List<OrderMain> selectByParamPageList(OrderMain orderMain);

    List<OrderMain> selectByParam(OrderMain orderMain);

    OrderMain selectByPrimaryKey(Integer id);

    int countOrderNum(OrderMain orderMain);

    Double countOrderMoney(OrderMain orderMain);

    List<OrderMain> getPageListByGroupOrderId(OrderMain item);

    List<OrderMain> selectByGroupOrderId(Long id);

    OrderMain getLastOrderAddres(Integer userId);

    List<OrderMain> selectByParamPageRefundGroupList(OrderMain item);
}
